include(qsfera_add_test.cmake)

add_subdirectory(manual/icon_viewer)
add_subdirectory(testutils)

qsfera_add_test(JHash)

qsfera_add_test(OwncloudPropagator)
qsfera_add_test(OwnSql)
qsfera_add_test(SyncJournalDB)
qsfera_add_test(SyncFileItem)
qsfera_add_test(ConcatUrl)
qsfera_add_test(XmlParse)
qsfera_add_test(ChecksumValidator)
qsfera_add_test(ConnectionValidator)


# TODO: we need keychain access for this test
if (NOT APPLE OR NOT DEFINED ENV{GITHUB_ACTION})
    qsfera_add_test(CredentialManager)
endif()

qsfera_add_test(ExcludedFiles)

qsfera_add_test(Utility)

qsfera_add_test(SyncEngine)

qsfera_add_test(SyncMove)
add_dependencies(testsyncmove test_helper)
qsfera_add_test(SyncDelete)
qsfera_add_test(SyncConflict)
qsfera_add_test(SyncFileStatusTracker)
qsfera_add_test(Download)
qsfera_add_test(Blacklist)
qsfera_add_test(LocalDiscovery)
qsfera_add_test(RemoteDiscovery)
qsfera_add_test(Permissions)
qsfera_add_test(DatabaseError)
qsfera_add_test(LockedFiles)

qsfera_add_test(FolderWatcher)

if( UNIX AND NOT APPLE )
    qsfera_add_test(InotifyWatcher)
endif(UNIX AND NOT APPLE)


qsfera_add_test(LongPath)

qsfera_add_test(FolderMan)

qsfera_add_test(OAuth)

configure_file(test_journal.db "${PROJECT_BINARY_DIR}/bin/test_journal.db" COPYONLY)


qsfera_add_test(JobQueue)

add_subdirectory(modeltests)
